# can be changed while bootstrapping project
actor: Tester

paths:
    # where the modules stored
    tests: tests
    log: tests/_output
    # directory for fixture data
    data: tests/_data
    # directory for custom modules (helpers)
    support: tests/_support
    envs: tests/_envs

settings:
    # name of bootstrap that will be used
    # each bootstrap file should be
    # inside a suite directory.
    bootstrap: _bootstrap.php
    colors: true
    # Tests (especially functional) can take a lot of memory
    # We set a high limit for them by default.
    memory_limit: 1024M

coverage:
    enabled: true
    whitelist:
        include:
            - Library/*.php

extensions:
    enabled:
        - Codeception\Extension\RunFailed
